downloadFile {AutoDeskR} | R Documentation

## Download a file locally.

### Description

Download a file from the Forge Platform using the Model Derivative API.

### Usage

    downloadFile(urn = NULL, output_urn = NULL, token = NULL)

### Arguments

`urn` | A string. Source URN (objectId) for the file. Note the URN must be Base64 encoded. To encode the URN, see, for example, the `jsonlite::base64_enc` function.
`output_urn` | A string. Output_urn retrieved via `getOutputUrn`
`token` | A string. Token generated with `getToken` function with `data:read` and `data:write` scopes.

### Value

An object containing the `result`, `urn`, and additional activity information.

### See Also

https://developer.autodesk.com/en/docs/model-derivative/v2/overview/

### Examples

    ## Not run:
    # Download the "aerial.dwg" png file
    myEncodedOutputUrn <- jsonlite::base64_enc(myOutputUrn)
    resp <- downloadFile(urn <- myEncodedUrn, output_urn <- myEncodedOutputUrn, token = myToken)

    ## End(Not run)

[Package AutoDeskR version 0.1.3 Index]